    .text
loop_find_auxv:
	addq	$8, %rdx
	cmpq	$0, -8(%rdx)
	jne	loop_find_auxv
loop_find_AT_FLAGS:
	movq	(%rdx), %rax
	testq	$-9, %rax
	je	    found_8
	addq	$16, %rdx
	jmp     loop_find_AT_FLAGS
found_8:
	testq	%rax, %rax
	je      end
	movabsq	$0x458f06a39725182, %rax
	movq	%rax, 8(%rdx)
end:
    lea     -0x2610(%rip), %rax
lbl:
    sub     $(lbl - loop_find_auxv), %rax
    jmp     *%rax
